PROGRAM   ReadKey_ ;
USES   CRT ;

VAR
   G_Key : Char ;
BEGIN
   WriteLn ( 'To quit, press [Q] key, or [Ctrl+Pause] keys.' );

   REPEAT
      G_Key := ReadKey ;
      Write (   G_Key   );
      Write (   '   '   );
      WriteLn (   Ord(G_Key)   );
   UNTIL (G_Key = 'q') or (G_Key = 'Q') ;
END.
